Field Order

Setting and Determining Field Order

It is essential to set the field order properly for correct rendering. The field order is set using the mandatory parameter order. This is found in YMC when highlighting the ITVC option, then pressing settings.

When using TFM as your choice of IVTC:

The order is represented as TFF and BFF. (Top Field First, Bottom Field First respectively)

When using Telecide, or IT:

Order is represented using 0/1. Order=1 For top field first;Order=0 for bottom field first.

Tip: If you hover your mouse over the options of the field order parameter a popup displays the order reported by avisynth.


TFM

TFM is a field matching filter that recovers the original progressive frames from a telecined stream. It does not decimate the resulting duplicate frames though, so to fully IVTC you must follow TFM with a decimation filter such as TDecimate(), which is also included in the TIVTC dll.

Currently Supports The Following Versions:

TIVTC 0.9.9.5.

TFM 0.9.9.10.3

Example Usages:

TFM

Using Sclavc: TFM, Sclavc, TDecimate

Without Sclavc: TFM, TDecimate

Necessary plugins for decomb are:

  • TDeint.dll

  • TIVTC.dll

  • Sclavc Package

General Settings

Order-

BFF - Bottom Field First

TFF - Top Feild First

This step is crucial to getting good output from TIVTC. Use the slider bar to get to a point in the video. Select one or other choice. Scroll a little using the arrow keys. With your vision alone, it should be apparent which one will produce the better video. Select that. See: Determining Field Order.

Mode-

Sets the matching mode or strategy to use.

0 = 2-way match

*1 = 2-way match + 3rd match on combe

3 = 3-way match

Note:

Option 0: is the safest of all the options in the sense that it wont risk creating jerkiness due to duplicate frames when possible, but if there are bad edits or blended fields it will end up outputting combed frames when a good match might actually exist.

Option 1,3: The higher the option number chosen the higher the chances of finding a good match. The risk on the other hand to get duplicates is much higher as well. Also the risk is higher for option 3, than 1.

Options Not Present: Yatta does not support these modes as it does have limitations.

Post Processing-

This option is here to chose what mode that is used for post processing. Post processing only occurs on (detected) combed frames.

0 - nothing (don't even look for combed frames)

1 - find/hint combed frames but don't deinterlace

2 - dumb blend deinterlacing

3 - dumb cubic interpolation deinterlacing

4 - dumb modified-ela deinterlacing

5 - motion-adaptive blend deinterlacing

*6 - motion-adaptive cubic interpolation deinterlacing

7 - motion-adaptive modified-ela deinterlacing

Field-

Sets the field to match from. It is recommended to set this to the same value as order unless you experience matching failures with that setting. In certain circumstances changing the field that is used to match from can have a large impact on matching performance.

*auto (TFM will set field to the same value as the order parameter)

0 = bottom field

1 = top field

Options:

cthresh

This is the area combing threshold used for combed frame detection. It is like vthresh or vthreshold in telecide() and fielddeinterlace(). This essentially controls how "strong" or "visible" combing must be to be detected.

The greater the value the larger the combs must be to be detected.

-1 = Forcing every frame to be detected as combed. (Min)

255 = No combs will be detected (Max)

blockx / blocky

Suggested range: 8-12 (10 - Default)

Sets the x/y-axis size of the window used during combed frame detection. This has to do with the size of the area in which MI number of pixels are required to be detected as combed for a frame to be declared combed.

MI

The # of combed pixels inside any of the blocky by blockx size blocks on the frame for the frame to be detected as combed. While cthresh controls how "visible" the combing must be, this setting controls "how much" combing there must be in any localized area (a window defined by the blockx and blocky settings) on the frame.

mthresh

Sets the motion (pixel difference) threshold for deinterlacing when using motion adaptation (PP > 4). As said, it is simply a pixel difference threshold between frames... if under mthresh then a pixel is considered static, if over mthresh it is considered moving

chroma:

Using this option will take chroma into the decision of whether a frame is combed. Only disable this option in times of bad rainbowing and combed frames are being detected falsely.

mchroma

Using this option will take chroma into the decision during the match comparisons. Only disable this option in times of bad rainbowing and combed frames are being detected falsely. Disabling this will increase the speed but hurt for accuracy.

slow:

This is basically a quality vs. speed option.

display:

If set to true, information will be drawn on the video frames themselves in the upper left hand corner. This info is not as detailed as the debug output and only includes the current frame number, the values of mode, field, and order, the match that was used for the current frame, and whether or not the output frame was combed if PP > 0. If PP = 1 and display is enabled, then TFM will draw a white box around the area of the frame that triggered its detection as combed when a frame is found to be combed through its internal detection (this wont be done if a frame is forced to be combed through overrides).

Buttons:

Goto:

This will jump you to a desired frame #.

Set Default:

This changes the set defaults to what you specify.

Ok:

Close the pane.


Telecide

A window like this should appear. Knowing the perfect settings will take some tweaking, trial and error, and testing. For the most part, deviating vastly from the defaults will be a rare occurrence. The below is to be used as a reference and will require some reading if you're new to this.

Please review the decomb manual for further instructions.

Usage:

Decomb

Using Sclavc: Telecide, Sclavc, Decimate.

Without Sclavc: Telecide, Decimate

Necessary plugins for Decomb are:

  • Decomb521.dll

  • Sclavc Package

General Settings

Order-

Choose either 0/1, then use the slider bar to determine which one is the correct one.

After setting the order hit ok.

This step is crucial to getting good output from Telecide. Use the slider bar to get to a point in the video. Select one or other choice. Scroll a little using the arrow keys. With your vision alone, it should be apparent which one will produce the better video. Select that. See: Determining Field Order.

Guide -

It has 4 possible values: guide=0 means disable pattern guidance; guide=1 means use 3:2 pulldown guidance (24fps->30fps); guide=2 means use 2:2 guidance (PAL); and guide=3 means use 3:2:3:2:2 guidance (25fps->30fps).

First decide if your source clip is PAL. If it is, and if it has progressive content, you can almost invariably set guide=2 to use PAL pattern guidance. Of course, if your clip does not have progressive content, it will not help you, and you shouldn't be using Telecide at all!

Yatta has built in pattern Guidance so setting this to 0 is usually just fine.

Back -

(0-2, default 0) selects the matching mode. When back=0, the backward match is never tested. This means that at bad edit cuts, a progressive frame may not be found and the resulting frame must be deinterlaced by postprocessing. When back=1, if a frame is still combed after field matching (according to a test against 'bthresh' -- see below), then the backward match is tried. This requires post > 0 and may allow a good progressive frame to be found at bad edit cuts. When back=2, the backward match is always considered. Some clips, especially those with a lot of blended fields, may be handled better with back=2, which tests for matching with the previous, current, and next frames. But use it with caution, because it can make some clips jerky.

nt -

Defines the noise tolerance threshold. It should usually not be necessary to adjust this parameter. If you have a noisy capture and are experiencing matching failures, however, you might usefully try increasing it. (Integer Field)

gthresh -

(0.0-100.0, default 10.0) defines how large a discrepancy (in percent) between the predicted and calculated field matches is required to reset the pattern. Use the show option, if required, to appropriately tweak this threshold. The show and/or debug output will indicate which matches have been overridden. Overridden matches are denoted with an asterisk, e.g., "in-pattern*".

Bthresh -

(0.0-255.0, default 50) sets the combing detection threshold for conditional backward matching (back=1). The backward match will be considered if the candidate match has combing greater than 'bthresh'. Typically you set a high 'vthresh' to catch stray combed frames, together with a lower 'bthresh' to catch bad edits.

Vthresh -

Play through the clip, while examining frames and the displayed vmetric values. The value that applies to the frame as matched is the one in brackets that starts with "chosen=", e.g., "[chosen=27]". Let's just call that the vmetric value. Any vmetric value greater than vthresh defines the frame as interlaced. You want to find the vthresh value that correctly distinguishes combed frames from non-combed frames for your clip. You'll easily be able to identify the frames thought to be combed because a) the vmetric value will be greater than vthresh, b) the progressive/interlaced indicator will say interlaced, and c) the frame will have a white deinterlacing motion map overlayed on it. There's no way you'll miss them! Your chosen vthresh may not be perfect and if it is not you should err on the side of caution. It's better to catch some progressive frames than to miss some combed ones.

Dthresh -

If you are not happy with the deinterlacing of the combed frames and want them "hit a little harder", you can reduce the dthresh parameter.

Post Processing Settings:

Postprocess -

Enables Postprocessing settings.

Chroma -

This determines whether chroma combing is included in the decision made during postprocessing as to whether a frame is combed or not. If chroma=true, then chroma combing is included, otherwise it is not included. Note that chroma is always deinterlaced; this parameter affects only the decision about whether a frame is combed. It is useful for clips which have a large amount of luma/chroma interference, as might result from a poor comb filter. The interference can cause frames that are not combed to be detected as combed when chroma=true. By setting chroma=false, the effect of the interference can be eliminated.

Blend -

This is used when an interlaced frame can not be dealt with. It blends the frame and the next together. Also, if you prefer interpolation to blending for the combed areas, you can change the this parameter.

Show -

Display the statistics and information on the screen. Enables metrics to be displayed on the frame to assist with tweaking of thresholds. Also displays the software version.

Buttons:

Goto:

This will jump you to a desired frame #.

Set Default:

This changes the set defaults to what you specify.

Ok:

Close the pane.


IT

This is a Japanese all in one solution to IVTC.

This plugin includes field matching as well as decimation routines so no other functions are needed.

Usage:

IT

Using Sclavc: IT, Sclavc

Without Sclavc:

Necessary plugins for decomb are:

  • IT.dll

  • Sclavc Package

General Settings

Order

Choose either 0/1, then use the slider bar to determine which one is the correct one. After setting the order hit ok.

This step is crucial to getting good output from IT. Use the slider bar to get to a point in the video. Select one or other choice. Scroll a little using the arrow keys. With your vision alone, it should be apparent which one will produce the better video. Select that.

See: Determining Field Order.

Buttons:

Goto

This will jump you to a desired frame #.

Set Default

This changes the set defaults to what you specify.

Ok

Close the pane.


Sclavc Settings

Setting up the Sclavc Properties

Initially Sclavc looks a bit intimidating, but for the most part generally the defaults are more than sufficient for the beginning encoder. Tweaking and testing can help with encoding with the lavc codec but if you're only going to use lavc to get scenechange information (by running slavc), then setting the preset at default (lavc default) is more than sufficient.

It's recommend saving the log to a file so it may be re-imported in Yatta with tweaked thresholds.

cmp

motion search comparison function useful values

subcmp -

subpixel comparison function

  1. Absolute difference (fast)

  2. Squared difference (fast), tends to generate more I-blocks

  3. Hadamard transform (medium), usually the best compression for anime

  4. DCT (slow)

preme -

when to use the prepass

  1. never

  2. Only after I frames

  3. always

predia -

motion search prepass

mbcmp -

comparison function for macroblock decision.

0 SAD (sum of absolute differences) (default)
1 SSE (sum of squared errors)
2 SATD (sum of absolute hadamard transformed differences)
3 DCT (sum of absolute dct transformed differences)

dia -

predia-

motion search diamond size, prepass motion search diamond size

range: [-99,-1] or [1,6]

positive values = EPZS diamond.

negative values = shape-adaptive diamond.

w4mv -

allow 4 motion vectors per macroblock.


Crop

Crop Window

Working with the built in Crop Window

Cropping first can improve matching for letterboxed and anime with extremely ugly borders.

Zoom Window

To get anything out of the zoom window you need to find a bright area in the video at that respective corner. Say for example, the upper left option was chosen, look for a shot where the upper left corner was bright. You wouldn't care much about the rest of the frame. This way you can tell where the video ends and where it just fades out. Black bars around the video need to be cropped out as well as useless material that damages the picture. You crop things out by using the arrows in each of directions. As each one is increased a red bar appears to go closer into the center. The red indicates what's being cropped out. After you take care of the top left corner continue this process of finding the correct cropping for every corner.


Initial Screen

This is the metrics collector. Through this program, data is collected on the raw video so that algorithms in Yatta can detect the correct frames to decimate, and how to restore the best matches more accurately. This is also how a Yatta project file is created.

YMC Needs to be run as an administrator to function completely. User accounts without administrative privileges will render incorrect metrics, but crop, Sclavc, and IT, should still work as they don't output any metrics.

Buttons

Add

Adds files to the Job list. This setup allows for easy batch processing. Add multiple files configure each one and set to go.

Remove

Removes files from the Job List

Output

Changes the output of the filename. (Not recommended for beginners)

Note that yatta expects that video be the same name of the yap project without the suffix.

Example: 1.d2v.yap (project file)

1.d2v (video file)

Move

Up/Down

Changes the order of processing. Note the recommended order of processing below.

Decomb

Using Sclavc: Telecide, Sclavc, Decimate.

Without Sclavc: Telecide, Decimate

Necessary plugins for Decomb are:

  • Decomb521.dll

  • Sclavc Package

TFM

Using Sclavc: TFM+TelecideMetrics, Sclavc, TDecimate

Without Sclavc: TFM+TelecideMetrics, TDecimate

Necessary plugins for decomb are:

  • TDeint.dll

  • TIVTC.dll

  • Sclavc Package

IT

Using Sclavc: IT, Sclavc

Without Sclavc:

Necessary plugins for decomb are:

  • IT.dll

  • Sclavc Package

Other interesting combinations are possible, though not recommended unless you know what you're doing. For example:

Cropping | PostTelecide | PreTelecide:
TFM Without Telecide Metrics |
Telecide With TFM Decimate |

Settings:

Close when done | Closes YMC when job list is complete.
Launch Yatta when done | Launches Yatta when the job list is complete.

Mpeg2Dec*

This is a MPEG-2 decoder. it's able to decode any MPEG-2 streams readable by DVD2AVI This version is a modified version of MPEG2Dec2 from save-oe (smart audio video encoder)

The choice is left up to the encoder, but it's recommended that Mpeg2dec3 is chosen.

Metrics Collections Options

YMC handles different implementations of inverse telecining your video. Currently the methods implemented are TIVTC, Decomb, and IT. Each method has it's own properties in which are explained under their own heading. Mixing them is not recommended but is possible. Note that the order, and selection matters. For example, if telecide was selected as well as TFM, TFM would only find (for the most part on decent sources) only c matches and progressive video since it's already been field matched. Finding which method best deals with your source is grounded only in trial and error with a bias of preference.

Decomb

Telecide | Telecide recovers progressive frames (by finding and aligning matching fields). Do not use Telecide on streams that do not contain telecined progressive frames, such as pure interlaced video. If your video contains progressive frames then check the box and hit configure.
Decimate Metrics | Calculates the metrics for decimation. No options are available.

TIVTC

TFM | This is TIVTC's implementation of telecide. In the same sense of how telecide works there's many options presented in tweaking the telecide process. Use this when you're dealing with a hybrid of progressive and interlaced video. Please view the sub page for more information.
TFM+TelecideMetrics | This is much like the above with the only exception that it contains functions for computing the metrics from telecide in it. This is recommended over the latter.
TDecimate Metrics | Calculates the metrics for decimation. No options are available.

IT

IT

This is a complete package. When using IT, the FPS is specified in the command line. Within YMC, only the order can be configured.

Extra Metrics

Sclavc- | Stands for Scene change using the library audio video codec. This option will bring (when checked) will find the scene changes within the video. Note: This process generally makes the metric detection slightly longer but saves time if a Scene change metrics or an Xvid first pass log isn't present. The reason you'd want to use Sclavc is that it saves you some time by integrating a method of detection to obtain scenechanges. Coupled with Decomb this is used for pattern guidance. Also, video tends to be created by scenes and compiled, so applying filters becomes easier with the scenes already defined. This isn't necessary to run Yatta and is a third party plugin for YMC. Errors may occur if not installed correctly.
Cropping - | Configuration screen will be brought up. This is a global crop.


Applying Filters To Sections

How to apply a filter to a section only

Introduction

One of the features of Yatta is the simplification of applying filters to different parts of video. Place a section by finding the beginning of the area and press Section Start. Then at the end of the area that you would like to apply this filter to press the same button. Under tools --> Section you should see the sections you have just created.

Assuming you've got the filter downloaded and installed (placing the *.dll file in the plugin directory) you can begin to set up presets.

Setting up Presets

Read the manual\readme of the plugin to get the syntax of the command.

Then go to tools ---> presets and hit [image].

A window like:

should appear.

Name the preset, for example our preset was named "Test Preset". The focus should go back to the tools window yet this time with your preset in focus.

Define a color of choice and enter inside the text area the syntax for the preset. Remember not to forget to hit update or nothing will be saved. Below there's an example of sangnom.

Note: Adding Lines beginning with # mark the line as a comment.

If you'd like to apply more than one filter to a section just write the next filter you want below the first one when defining the preset.

After which return to the main window, select the section, then select the preset for the section you would like to apply it to.

The window should look like this.

You've just applied a filter to a section. This is also an example of a filter chain.


Applying Filters To A Frame

How to apply a filter to a frame only

Introduction

One of the features of Yatta, is the simplification of applying filters to different parts of video. Place a section by finding the beginning of the area, the first frame, and press Section Start. Then at the end of the area, the frame after the last frame, that you would like to apply this filter to press Section Start.

Under tools --> Section you should see the sections you have just created.

Assuming you've got the filter downloaded and installed (placing the *.dll file in the plugin directory) you can begin to set up presets.

Setting up Presets

Applying filters to a Frame is a special case of Applying a filter to a section. It's recommended that you read how to set filters to a section and continue by reading how to set up filters to frames. This will provide a broader understanding of the process. The "Setting up Presets" section is explain in depth under Applying Filters to Sections.

Applying the presets to one frame.

After which return to the main window, find the frame that you'd like to apply the filter to.

Hit [image] on the frame you'd like to apply the filter to. Then proceed to go to the next frame, once again hit [image].

Go back one frame, then hit tools. The section highlighted should look something like below. Notice that the frame number is 00989, while the next one is 00990.

Then choose the filter on the right that you'd like to apply to the frame. In our case we used Test Preset.

The window should look like this.

You've just applied a filter to a Frame.

Next step would be learning what is the difference between Type 1 / Type 4, and how sections apply to the differences.


Non-Deterministic Decimation Found

VFR - FreeDecimation

Error: Non-Deterministic Decimation Found

(This error is due to an option in the settings)

The user will see this if a freedecimation region starts within a cycle or ends within a cycle and doesn't specifically state what frame is to be decimation for the previous or next cycle.

The log window show you which cycles that needs to be defined. Say you get:

VFR Decimation Required At Frame: 3045

VFR Decimation Required At Frame: 3110

This means that you must manually set a frame to be decimated in cycle starting at 3045. Assuming a cycle is 5 frames (Set in the settings) then you must set one frame to be decimated between 3045, 3046, 3047, 3048, 3049. This is likewise for the cycle starting with 3110.


TrueVFR

Working with Project Type 3

Before we begin, allow me to say that although TrueVFR can be accomplished with the current technology and right container, the downside to using it can be great if done incorrectly. Within Yatta any framerate can be obtained by following the steps below but the penalty can be great if the warnings aren't followed. Please consider using DeDup before TrueVFR.

Although TrueVFR seems like it could save much space, mpeg4 asp, and avc, are highly optimized and can handle having many duplicate frames without too much overhead. It's trivial to say but although there's a little overhead, there still is some indeed. There's an issue, not in the way TrueVFR works, but more on integration with subtitles. If you're encoding with softsubs, using vsfilter, as of the release date of (v111) the current implementation does not refresh the subtitles until the next frame is loaded. Imagine a scene with static image for more than 1 second, and many people are talking. If using TrueVFR and no frames were left in the scene but say two, then the subtitles would not change except when it passed those two frames.. Thus, if the subtitle were there, then they would not disappear, if previous subtiles were on the screen or they wouldn't appear. It's recommended that you leave at least 6 or more frames per second speaking minimally, or simply use Dedup.

In this setting it is possible to decimate more than one frame per cycle. In actuality its possible to decimate as much as you want. The decimate button turns acts like a remove frame button. First you need to note that you need to be in Project Type 3. You can convert to this type via the settings window. This is extremely useful for sources that are usually old and quite blended, and result in further duplicates that need to be deleted

Normally, VFR timecode files would look like:

# timecode format v1

Assume 23.976

38396,41080,29.97

Where the first frame would be listed, followed by the second, and then the speed of the section. Version 2 timecodes are formatted as...

# timecode format v2

0

41.7083750417084

83.4167500834168

125.125125125125

166.833500166834

208.541875208542

250.25025025025

291.958625291959

Where each line represents the time the frame is to be played. In the above, the first frame starts at 0, second, 41.7083750417084, the third... etc.

First setting an area of video in this type as no decimate will label it as Freedecimate. You can observe this in the tools window under ranges. After an area has been labeled as freedecimate, the encoder is open to decimating as many frames as he\she would like within that region by pressing the decimate button within that region. Each frame decimated will have a horizontal slash through the character, and the word decimate will appear on the main window.

After the region has been set as a freedecimate region and manually decimated, it must be completely enclosed within an section. Start a section on the first frame of the No Decimate region and end it one frame after the region ends.

So if the No decimate region was from 3000 - 3149. You should press start section on 3000 and once again on 3150. Note: There's no "section end" button but rather when you create another section using the section start button the frame where section start was pressed again begins the next section. In this case by pressing section start again on 3150 we've started another section from 3150+ and the section starting on 3000 ends at 3149.

You must remember to enclose a freedecimate region within a section or the entire video stream will be averaged to some fps resulting in a loss of VFR. Even if you had certain ranges that weren't being decimated, in other words they were 30fps they must be enclosed within their own sections as well.

Note: If you had predefined sections and converted to type 3 it's best to delete all of the sections before continuing with the project in type 3. You will receive 'VFR Decimation Required' errors for each section you have defined if you don't manually set which frames should be decimated.

Save your VFR timecode file by right-clicking and hitting Save VFR. Are you receiving a Non-Deterministic Decimation Error? Force deterministic decimation is a setting in the global settings tab of the settings window. Depending on whether you have it enabled or not will determine if you will receive this error. (Recommended you have this option enabled.)

You've just created a TrueVFR region.

OTHER OPTIONS: DeDup

Using Dedup is a much better alternative for the neophyte, and in most cases all encoders as it can generally provide a safer alternative towards dealing with removing frames. An encoder can freezeframe all the frames that he desires to be removed while setting a maximum amount of frames to be deleted. Dedup can be found here. Directions can be found in it's readme.


Pattern Guidance

Working with the built in pattern guidance

Pattern guidance is a great feature of Yatta that determines the best set of matches and sets the matches of a section according to a pattern. When done correctly, a NTSC DVD following the 3:2 pull down technique should flow in a pattern that matches something close to cccnn. With each c standing for current, and n standing for next. Among those 5 frames, one is decimated leaving 4 full frames and clean video.

Problems arise when there are scene changes not properly defined. This in turn throws off the pattern guidance system and for that section the matches are incorrect. If pattern guidance is done correctly, and it's a decent DVD, around 98% of all the combed frames should be removed.

If Slavc or Xvid's first pass file was used to determine where the scene changes are then you can almost expect about 95% of all the scene changes to properly be identified. It's the 5% that will cause a problem. This action can not be undone. It's advised that you use pattern guidance before any manual editing is done so none of your work will have to be repeated.

Pattern Guidance is initiated by right clicking the video (main window) and going to Recalculate Matches. As shown to the left.

Then continue by selecting Pattern Guidance.

Make sure you have a project file loaded and are properly into Yatta first.

A dialog will come up asking for some values. For the most part the defaults are fine. You may tweak them when you're more comfortable with the process.

Defaults: Edge = 1, Framelimit = 20.

After you hit enter, the log window should appear. This window should be rather large don't fret it. An example is set up to the right. Starting from the bottom you should traverse the list, checking to see if there's error in the matching. Follow the steps below for each error. The Matching Impossible may be due to sectioning problems.

1.

If the section in too short see if the section appears before a scene change and see if you can remove it. Merging sections together. With each merge, note that there should be a new section at each scene change. Then when done merging you will need to recompute the matches for that section only. You can do this by pressing Control - G on your keyboard. If you find this satisfactory you will need to go to the next section that was altered and hit Control - Alt - G.

2.

If there is an error in the section such as: Matching Failure at xxxx. You should double click the error line. The main window will jump to that location. Then you should look within that section for a scene change. If there is one found, create a section at the beginning of the new scene. Hit Control - Alt -G one frame into the new section created and one frame into the previous section. Continue traversing through the section until you're sure that there's nothing left in error. Please look at examples below for this step.

Graphically:

Frame 1 -----------------------------> Frame 2 -----------------------> Frame 3

Notice the scene change occurring?

Focus below upon the section number. Notice how the scene has changes, but the section hasn't.

Place a new section at the start of the scene. (notice the section start #)

Hit Control - Alt - G At frame 12120. Then go back 1, into the previous section -- frame 12119, frame and hit Control - Alt - G again.

Looks much better now doesn't it?

3.

If there isn't anything you can do to fix an area with pattern guidance then you may revert back to the old way that was chosen initially by pressing Control - R. Remember though, this acts only within the section you're in. Whereas Pattern Guidance applies itself to the entire video.


Pattern Shifting

Working with Patterns

Perhaps there is a case where the pattern in a certain section isn't completely wrong, it's just off. For example, if the pattern should be nnccc and it's set to cnncc. Using try pattern is one method of fixing this error but a simpler method would be just to shift the entire pattern for a section. The default key to shift a pattern in Control S. This will shift the pattern down by one. Much like how switch works with try pattern.

For example:

The pattern is unaligned. Hitting Control S reveals:

But traversing a couple frames reveal that it's still unaligned.

Continuing this process by hitting Control S again will shift it again.

Take not the VMetric.

Traversing some more frames reveal that the section is now clean. Problem solved.

Sections larger than 5000 frames will not be shifted.

To override: edit the MaxShiftLength field in the ini. Do so at your own risk.


Try Pattern

Try Pattern -- In Depth

The try pattern button can be cryptic at first but in actuality is a very powerful tool. As an encoder there may be sections of video where a frame per cycle needs to be decimated over a number of cycles. This frame may appear in a pattern that does not conform the general pattern. This can occur on pans thus not making them smooth.

Setting the pattern

To set the pattern that you'd like to test, right click and choose set pattern.

The window below should appear.

Matches

This field is what Yatta uses to change the match of the current and subsequent frames. Meaning: If you have start the pattern matching on the capital C as shown below

then according to the matches pattern set then this will be changed to a C (No difference). The next frame will be changed to a C as well (No difference). The third frame is a C now, but during the try pattern test it will be changed to a N (Change from C -> N). The next frame conforms and will undergo no change. Finally though, there's a N where our set pattern specifies a C (Change from N -> C). This, is shown graphically for you as well.

So, to sum up the changes that has occurred:

The choices are:

  • c - current frame

  • n - next frame

  • p - previous

Anything else entered in this field will act as no change.

Decimation

This field is just like matches in the sense that it changes the current to the set pattern except that it allows you to chose what frame you'd like to decimate. This is limited to 1 frame per cycle though. There is an exception to this though. If your project is set to type 3 and inside a freedecimate labeled area you may decimate more than 1 frame per cycle (This can be very powerful if working with 18fps material). You determine what frame is to be decimated by labeling it as d. In the example above the frame set to be decimated is the last frame per cycle. When you are viewing the pattern, the decimate label will appear on a frame that should be decimated according to the pattern set.

There may be a time where decimate was manually selected on a range of cycles. Say it is also the case where the decimated frame is off by one. Thus now it follows a pattern of odooo, and the correct pattern is oodoo. To do this we need to remove decimation and apply decimation. To apply decimation, we use the technique stated above which brings us to a pattern of: oodoo. Now to keep the frame that has been previously labeled as decimated we insert a k into the pattern. This means: okdoo. This way the frame before the decimation is kept and the frame after is decimated.

So, what is being said above is that in every cycle, starting with the first frame:

no change (o), keep (k), decimate (d), no change (o), no change (o).

The choices are:

  • o

no change

  • k

keep frame

  • p

previous

Anything else entered in this field will act as no change.

Post Processing

Just like the above, this field is where you can set the pattern to post process. To set a frame to be post processed insert a + sign where the frame should be post processed. Likewise, if you insert a - sign then the frame will have post processing removed from it.

So, what is occurring in the above statement is the following:

Post Process (+), Post Process (+), no change (o), Remove Post Processing (-), Remove Post Processing (-)

The choices are:

  • o

no change

  • +

Postprocess this frame.

  • -

Remove postprocessing.

Anything else entered in this field will act as no change.

Remember that when you hit try pattern for the first time, the frame you're on is the first letter displayed in the boxes. For example, if I hit try pattern on frame 250 using the above settings, then:

250 would be set to post process.

251 would be removed from decimation if it had it and set to be post processed.

252 would be decimated.

253 would be have it's post processing removed.

254 would be have it's post processing removed.

Testing and Applying the Pattern

  1. First find the area in question, go to the beginning, then press try pattern.

  2. Set the pattern. Either: Right Clicking, and going to Set Pattern or by hitting Ctrl-t.

  3. Traverse the next frames using the arrow keys checking whether your pattern is correct.
    3a. If not, Repeat Step 2. Note that when you change the pattern, this change is applied to everything that is after and including the frame where you initially hit try pattern.

  4. Once the perfect pattern is set, hit use pattern. Note that "Use Pattern" will be active only after you hit try pattern. Also that the pattern is applied to the area from where you hit try pattern up until the location where you hit Use Pattern. So, albeit the pattern may check out for a few cycles, continue until the end of the area that you want this applied to and hit use pattern.

Some other things to note:

While try pattern is selected if you hit the Switch button on a frame, this will shift the ccnnc pattern by one. Meaning it will become cccnn. This likewise occurs to the decimate and the post process.


Crop Window

Working with the built in Crop Window

Zoom Window

To get anything out of the zoom window you need to find a bright area in the video at that respective corner. Say for example, the upper left option was chosen, look for a shot where the upper left corner was bright. You wouldn't care much about the rest of the frame. This way you can tell where the video ends and where it just fades out. Black bars around the video need to be cropped out as well as useless material that damages the picture. You crop things out by using the arrows in each of directions. As each one is increased a red bar appears to go closer into the center. The red indicates what's being cropped out. After you take care of the top left corner continue this process of finding the correct cropping for every corner.

After which you may notice that some of the fields are yellow.

Pixel Aspect Ratio

When encoding it's best to know what aspect ratio your video is in. Simply put aspect ratio is: the displayed width divided by its height (usually expressed as "x:y"). For instance, the aspect ratio of a traditional television screen is 4:3, or 1.33:1. High definition television uses an aspect of 16:9, or about 1.78:1. Aspect ratios of 2.35:1 or 1.85:1 are frequently used in cinematography, Say your source states that it's 4:3. or 1.33:1, the object of the crop window is to try to maintain that AR as much as possible. First input the source you have and then look at the AR ratio error. If this field is yellow then you're heavily distorting your video. Adjust your crop settings until you reach a medium that is acceptable and at the same time not distorting your video.

A thing to think about: Cropping can cause some adverse effects if done incorrectly. Note that to apply dust the height and the width both need to be mod 16, otherwise pink lines or odd effects end up appearing on the screen.

Buttons

Anamorphic - | Select this if your encode will have an AR of 2.35:1 or would like 16:9 anamorphic encodes.
Show Resized - | This disables the red bar from appearing in the main window of the cropping tool but it resizes the picture everytime one of the crop settings is modified.
Mplayer PAR - | This changes the constants for the PAR (pixel aspect ratio). This is PAR is named this way because this is the way that mplayer computes PAR. Unchecking it will result in the way Gordian Knot does it.


Bit Rate Calculator

Working with the built in Bit Rate Calculator

The Bitrate Calculator can be accessed any time you need it by right clicking the menu and going to additional or before the project is opened and right clicking the background introductory image. Albeit this is outdated sometimes it can be very helpful in judging how large a file is going to be.

1. Place in the audio stream that you are going to be using in your final encode. (You can also try computing it from the size of the video in exact Kilobytes). This now supports adding aac.

2a. If you're using DivX, choose 1k = 1000, otherwise a kb = 1024.

2b. If you're using Lavc, choose 1k = 1000, otherwise a kb = 1024.

3. Input the Length of the Video if it's not there, and place your maximum size that is allowed. The bitrate should be displayed after.


Plugins

Plugins & Such

In repairing video frames, undoubtedly there will be times where a (or many) filter(s) will be needed. Since the location of filters change, below are links to databases with current locations of where to locate and download filters.

Sections:

  • Locating Filters

  • Using Custom Filters not in the Filterlist.txt

As of Yatta v111, FilterText.txt is not needed to function (It's included in the package) but, this will render only the functions autoloaded by Avisynth (the ones in the plugins directory in the avisynth installation directory) will be able to be used.

Using Custom or Plugins not in the Filterlist.txt

If a plugin doesn't work, or you're using a plugin you've made yourself, one can easily add it to the filterlist.txt in the following fashion: First check to see if it's in the filterlist.txt (located in the yatta directory). If it's not: function, plugin.dll does not exist enter it in there. The syntax is as follows:

vaguedenoiser

vaguedenoiser.dll

Where: "vaguedenoiser " is the filter command and vaguedenoiser.dll is the dll name. More in depth explanation can be found here.

Locating Plugins/Filters

When looking for a particular filter, here are some good starting points:

  • AviSynth Filter Collection

  • Bifrost, SSIQ, FieldHints, TelecideHints

  • Doom9 Avisynth Tools\Plugins Thread

  • 3rd Party Avisynth Filters\Plugins

  • Shared Functions

  • Zhentarim's Encoder's Software Page

Plugins necessary for full Yatta use:

These filters are necessary if you would like to use all of yatta's functions without looking for them later on. By all means their presence will not render Yatta useless:

  • Sangnom :: Webpage

  • KernelDeint :: Webpage

  • LeakKernelDeint

  • TDeint


Type 0

Project Type 0

Project Type 0

This project type has the smallest functionality in Yatta. Most of the options are disabled.

This type is generally used for previously encoded raws, or progressive material.

This project type must be specified before the project file is opened.

Project 0 does not have field matching, or decimate. Filtering is done before the crop / resize settings.

Project type specific settings

Essentially the only real options that are available are freezeframe and sectioning.

This project does not use IVTC which is why most of the options are disabled.

Subsequently the "find" tab is not accessible.

Using the right click menu, you're able to set some options as to what gets output, but for the most part save avs is the only option worth noting. After all your sectioning, filtering, and editing save the avs and load that into whatever desired.

This project setting is used when applying some filters to clean up the video, or some frame changing but nothing more. This restricts the ability of the encoder such that something won't be done to mess up the video.


Type 1

Project Type 1

Project Type 1

This is the default project setting.

Project 1 has field matching but not necessarily decimate. If decimate is enabled then sections appear before decimate. That is the primary difference between Project type 1 and 4.

Project type specific settings

Field Matching must be done.

Decimation is optional. It can be disabled in the settings window.

Sections appear before decimation. All sectioning and filtering appear before decimation occurs. To switch to after decimation occurs read about project type 4.

You can convert to type 3 or type 4.


Type 3

Project Type 3

Project Type 3

To attain this project type you must convert from project type 1 through the settings window.

No conversion to any other type is possible after converting to type 3.

Most of the other options are the same as the Main Buttons page.

This is here to allow the encoder to section and filter after decimation has occurred.

Project type specific settings

Type 3 allows for arbitrary frame dropping and time stretching.

Time is not calculated correctly once frame rate editing begins.

Decimate - Drops frames completely. The encoder can stretch frames in this mode. During a freedecimate region decimate deletes frames completely.

In the settings window force deterministic decimation applies to this type. This check is very helpful here as it forces the encoder to manually decimate the section before and after the range set. This helps so that the filter in use does not decimate the wrong frame.

The custom ranges circumvent force deterministic decimation.

In the settings window prevent freedecimate over decimated applies to this type. This will stop the encoder from creating a freedecimate range over a manually decimated frame.

Sections are given additional meanings. Sections here should be used to enclose freedecimate ranges. Please look at More information.

Sections are post decimate. This means that all sectioning and filtering will occur after decimation.


Type 4

Project Type 4

Project Type 4

To attain this project type you must convert from project type 1 through the settings window.
You can still convert to project type 3 after the conversion is done.

Most of the other options are the same as the Main Buttons page.

This is here to allow the encoder to section and filter after decimation has occurred.

Project type specific settings

In the settings window force deterministic decimation applies to this type.

The option to decimate or not is disabled in this project type. You must decimate.

Sections appear post-decimate.

To avoid the deterministic decimation error, switch instantly to project type 1.


Project Settings

Settings: (Page 1)

Project settings

Sections allow for cutting up certain parts of the video. This can be a powerful tool when fine tuning video since different filters can be applied on different sections. Since sections can be as small as one frame a filter could act on just one frame for frame by frame application.

Layout

If you're screen does not look like this, please update.

Order

The order parameter must be set to correctly specify the field order of the clip. Field order should be determined in ymc and set inside the yap file. If you need to switch the field order when viewing in yatta this is where it's done.

Output Cutting (Inclusive)

This field designates how much of the video should be finally outputted. Such as if the values were (5, 10) then only frames 5,6,7,8,9,10 would be in the final video. This field does effect preview. If the field is marked in yellow, that indicates an error in data entry.

Decimation

This checkbox sets whether to disable decimation or enable it. (Available In project type 1+).

Mpeg2Dec

This is a MPEG-2 decoder. it's able to decode any MPEG-2 streams readable by DVD2AVI

This version is a modified version of MPEG2Dec2 from save-oe (smart audio video encoder)
The additional features are, for example, YV12,YUY2 and RGB32 output, interlacing control,
integrated PostProcessing, Luminance Filtering, ect... (Mpeg2Dec3 Is recommended)

Project Types

This is a quick fact table. Look at the specialized pages for more information.

Type 0 | Does not use any field matching or decimation. (FreezeFraming and Sectioning only) Can be used for progressive material, already encoded raws, etc.
Type 1 | Uses field matching, but decimation is optional. Sectioning and filtering occurs predecimation.
Type 3 | Uses field matching, decimation is optional and the ability to use TrueVFR.
Type 4 | Uses field matching, but decimation is not optional. Sectioning and filtering occurs post decimation. This allows the user to add filters below the decimation. Please also abide by filter rules. Unless you know what you're doing do not uncheck decimation after filtering in project type 4 and switching back to project type one. This is to be used as a another method of bypassing the deterministic decimation error.

Next Page: Global Settings


Global Settings

Settings: (Page 2)

Global settings

Options

Plugin Directory | This is the directory where all of the plugins will reside. Yatta uses a path, so if the plugin that you're trying to use is not in that directory it will check the directory Yatta is installed in and the plugin directory for Avisynth. If you double click the input box a directory explorer opens up for easy traversing.
Save Relevant Overrides on Preview | When previewing, some override files such as the decimate and telecide matches need to be updated to show an accurate preview. This option automatically saves them for you.
Save All Override Files too (Save button) | When the save button is pressed it will also save all of the override files. Disabling this option will force you to right click and hit save all or do it manually using the subsequent options in the right click menu.
Set nodecimate to c match | The not expanded range is set to c matches since that's what's right 99% of the time anyway. When you select a nodecimate section it's rounded up and down to decimate cycles but that doesn't use the larger values selected.
Prevent freedecimate over decimated | This option prevents you from putting a freedecimate section over any decimated frames in type 3 projects since it's usually human error when it happens. This only applies to project 3.
Pattern Guidance with Dec. | Pattern Guidance will also set frames to be decimated where it deems appropriate.
Jump to current frame when previewing | When enabled this will jump to the preview window's frame to the current frame being viewed in the main window.
Force deterministic decimation | Force deterministic decimation has to do with Avisynth trimming and not knowing which frame will be decimated so it forces you to decimate a frame in the cycle every new section starts in to solve it. This only applies to projects 3 and 4.
Show too short warning | If a section is shorter than whatever limit you specified when using pattern guidance you'll get a warning message in the list. Note: Nothing is done to short sections. Manual attention is needed.
B Switch With Decimation | Auto switch uses the matches one cycle before but stop on a too high vmetric when changing. B switch, on the other hand ignores vmetric and also copies freezeframes (triggered by ff startframe) and optionally decimated frames too. This option determines if it will copy decimated frames as well.
Single Click Jumps to section | Inside the tools menu single clicks on the section will jump to the section rather than double clicks.
Show Pattern Show Metrics Show FreezeFrames Show Section Info Show Frame Number | All of these options controls the display on the main Window


Key Associations

Settings: (Page 3)

Global settings

Options

Key Association is the tab where one can change what key does what function. Click in the box, then press any key to change the association. Resetting all will return everything to the default association.


1. Sections

Tools: (Page 1)

Sections

Sections allow for cutting up certain parts of the video. This can be a powerful tool when fine tuning video since different filters can be applied on different sections. Since sections can be as small as one frame a filter could act on just one frame for frame by frame application.

Layout

For an in depth explanation of how to add filters to sections click here.

Upper Window | This is a graphical layout of the frequency of the preset that's applied. As you can see, the entire window is green indicating the same preset (or many presets with the same color) are applied. If another preset with another color would be applied the preset's color appear in the location of where the frame was. The numbers below the bar are the divisions of the frames. The far left is frame 0, while the first break indicates frame 10200. Since 'Window' is chosen at the bottom right, the bar is resized to fit the tools window. If you were to right click the bar, the main window will move to the area that the mouse is right clicking to.
Left Window | This window displays a list of all the created sections. The name 'Default' next to it refers to the preset being applied to the section. As a default, the preset 'Default' has nothing in it. It is then applied to all the sections. To apply a filter to a range of frames, enclose those frames in sections. For example, if an encode needed frames 40230 through 40245 to be smoothed. Hit New Section on frame 40230 and hit new frame on 40246. New section follows: [40230, 40245] the next section continues [40246, ...] Finally select the preset containing the filter to be applied to the area. The list of presets are in the right window.
Right Window | This window displays all of the defined presets. Presets are defined on the preset tab. Read "Left Window" for more information.

Buttons:

New Section | This button defines a new section at the frame number that the main window is displaying
Delete | Deletes the highlighted section(s).
Set Time | Set's the time for the frame. (This is only available if the type of the project is 3)
S From File | Sections determined from file. You can import sections defined from the first pass of a 2 pass Xvid encode, FFstats file, or a text file with the sections defined in it.
S Discard | Discard a section. This brings up another window that allows for comparing the two sections. Very helpful for sections defined when there is no scene change.

Pull down:

The pull down menu is contains values that deal with resizing the graphical bar. This comes with the options of 5, 10, 25, 50, 100, 200, 500, Window. If you choose 5, each line within the bar represents 5 frames. If you choose 10, each line represents 10 frames etc. The bar will resize accordingly.

Next Page: Presets


2. Presets

Tools: (Page 2)

Presets

In the preset's tab the encoder can define different presets for ease of reuse and repetition.

Layout

Prior to version 1.11 yatta stored a copy of your presets within the yatta ini. This isn't the case anymore. Presets are saved per project inside the yap files. Presets should be imported from other projects.

First Pulldown: | The first pull down menu (Where Default is...) is for the existing presets. This is not an editable menu.
Second Pulldown: | The second pull down menu is for the color defined for the above preset. To add a new preset you must hit the New button.

Buttons:

New | Brings up a dialog that asks you for the name. It then adds the preset to the menu. You can access the preset using the pulldown menu.
Update | Used to update the changes done to the preset. So say you change the preset by modifying the parameters of a filter. Other than a change in color which is applied immediately the preset is not updated until you press the update button.
Rename | Renames the current preset shown. Names do not have to be unique. Use a proper naming convention to ensure that confusion is avoided.
Import | Yatta does not store a local copy of the presets in the yatta.ini anymore. Therefore all presets are located in the project files only. Read below for detailed importing directions.
Delete | Deletes the preset chosen.
Assign To | Allows you to assign the time that the preset is executed. The options are: Pre Telecide, Post Telecide, Pre decimate, Post decimate, and Post Resize. You may only assign one preset to each field.

Importing

To obtain presets located in a different project file press the Import button. Choose the yap (project file) of your choice and the following window should appear.

You can preview the preset by highlighting the one you'd like to see. If you're being selective as the above picture is, you can import only the selected ones by pressing Import Selected. Alternatively you can import them all using Import All. To select more than one, click and drag over the list choosing the ones you want. To deselect, or select individually, hold the control key down and click on it.

Edit Window

This is where filters and plugins for avisynth are defined. Remember if you are to change a preset you must hit update or the change is not applied. The change is lost if the window is closed or the preset is switched.

Next Page: AVS Generation


3. Avs Generation

Tools: (Page 3)

Avs Generation

This tab has all the post processing settings. If the post processor of your choice is not listed you will have to edit the resultant avs yourself.

Resizing + Options

The options are above, read about the differences here.

Resize On | Enabled will set the resize command last in the Avs. Information on the types of resize.
Crop On | Enabled will crop the video as specified. This also effects how preview will show your video.

Special Presets

In the presets tab, a preset has the ability to be assigned to a location within the presets window. This is done by choosing the location using the pull down menu, selecting, then hitting assign. The fields under "special presets" are then automatically filled in. If you would like to edit the preset that is in one of the fields hit the edit button. This will take you to that preset, and display it's contents in the presets tab.

To remove a preset in the fields hit clear.

To choose another preset, just assign it to the same field in the presets window.

The special presets are there to place a preset (filter chain) at a certain location within the avs file. These generally are kept for global applications.

Note: There is only one preset allowed per field.

Post Processor

When a frame is set to be post processed, the processor it uses is the choice that is set here.

In the main gui, when a frame is marked as post processed, the post processor used is the choice set here. This allows easy access to the encoders favorite post processor. Each one acts differently in every situation and all of them work as presets as well. (With the correct syntax)

Note: Most of the post process options require third party plugins. You must download them separately before using the option here. Yatta is also set to use telecide hints (where applicable) this plugin is located on the main page.

Decimation

This is where you set the proposed method of decimation. The choice here is in reference to what filter to apply the overrides to.

Buttons

Save Avs | Save's the Full Avs
Preview Avs | Shows what the current Avs Looks like.
Save Small Avs | Saves a stripped version of the Avs. The telecide settings are the only things really saved.

Next Page: Ranges


4. Ranges

Tools: (Page 4)

Ranges

This tab has little correlation with the "Start Range" button on the main buttons.

Windows

Left Window | This window has a list of all the freezeframes that were set. To remove a freezeframe just highlight it and press DeleteFF.
Right Window | This window has a list of all the VFR sequences. This is done by setting an area of video to be nodecimate. To remove a NoDecimate highlight the one you don't want and press Delete ND.
Save VFR | This button saves the variable frame rate override file. Used when muxing MKV's to get the time right. Timecodes are stored in this file.


5. Find

Tools: (Page 5)

Find

When searching for interlaced frames the VMetric is usually the best indicator whether a frame is interlaced or not. The higher the VMetric the higher the chance that it is. Different algorithms have been implemented to help find high VMetrics. High VMetrics do not necessarily always indicate an interlaced frame though. In the end your eyes are your best bet.

NOT AVAILABLE FOR PROJECT TYPE 0.

Value to use

V | This checks the value of the Vmetric. If a frame has a value that is greater than or equal to the one provided it hitting next will take the main window to that frame. The V value entered here will be used for Autoswitch as well.
V Difference from previous | This will check the difference between the Vmetric of the first frame and the second frame and based on the threshold provided in the value box it will jump to the next or previous frame.
% Difference from previous | If the percentage difference between the previous frame and the next exceeds the threshold then it jumps to that frame.
The next two options, V Difference on both sides and %Difference on both sides are like the above but the next frame is also taken into account.

VFR

Set Thresholds | Pressing this button will bring up dialogs asking you for values. These thresholds that you provide it will be used in the subsequent find methods. Each find method can be used to try and find the locations of VFR (30Fps) Sections of video. Usually these are indicated by all c's for the pattern as well.
Find Method 1 \ 2 | This uses different algorithms constrained by the thresholds set to find VFR sequences within your encode.

Next Page: Custom Lists


6. Custom Lists

Tools: (Page 6)

Custom Lists

This section deals directly with custom lists. This page is set up in a tutorial fashion.

Creating\Deleting a custom list

A custom list can be created rather easily. Pressing the "New List" button will prompt Yatta to ask you what the list name will be. Enter a name for your list. For this example, we've used "dedup".

Notice now that the window has the list "Dedup" in the listbox.

Delete a custom list by selecting a list and pressing the delete button.

Setting the lists active location

Select "Dedup". Right click "Dedup", and select where this list should be executed. In this header we're only going to deal with the 3rd part of the menu. The other two will be explained below.

External File - A file outside of the yap file.

Pre Telecide - Before telecide occurs

Post Telecide - After telecide has occurred but before filtering.

Pre Decimate - Before decimation, but after filtering.

Post Decimation - After decimation, but before resizing.

Post Resize - After resize, but before global trim. (Set in the settings menu)

For this example, choose External file.

Setting Command String and Filename

Looking closely shows where the file location and the command string are to go. The first entry box is where the command string is to be placed. The parameters are as follows:

%s - start

%e - end

So "%s-%e k" reads as:

3605-3748 k

4173-4312 k

4996-5140 k

etc.

Perhaps we switch the string to: "%s,%e k"

3605,3748 k

4173,4312 k

4996,5140 k

etc.

In the second text box, where "X:\...." is written, this is the full path location to where the external file should be saved.

Right click the list again, this time choose Save.

Populating the list

After selecting a list, return to the main window.

The selected list should appear.

After finding the start frame you'd like to add to the list press the letter C. traverse to the end of the area you'd like in the list (including the frame) and press C again. This should place that combination in the list.

Remember to manually SAVE your list every now and then. Since this example was for an external file, each save will update the file.

The only difference between saving it as an external file and as part of the avs is how you plan on using it. If there's a function say: ReplaceFrame(%s,%e), this would be useless outside of the avs. One would rather place this pre decimate. This window allows for a bit more compatibility as now you can provide start and end frames for functions that need them much easier than before. On the other hand, what we created was a dedup override file. This file is used as an input file for dedup.


Right Click Menu

Quick Reference Guide to Right Clicking

In this page, the entire right click menu is covered.

Skip to: Recalculate Menu or Additional Menu.

Right Click's Main Menu

Open

Yatta has the ability of opening many video types as well it's own yap files. For full functionality a yatta project file *.yap file should be opened. This can be achieved by first creating a project file through ymc.exe which should be in the same directory as Yatta.

If you're editing video that's been previously encoded open the video file, then save the project file. Return and open the yap file. For video predecimated, project type 0 is recommended. Read settings for more information.

Save Project As

Saves the project that you're working on with another name.

Note: When opening a project with another name the user may see this bring up this error.

Save Project

Same as the save button on the main window. Save all.

Save all Overrides

Saves: decimate and telecide overrides, as well as VFR timecodes.

Save [ Telecide /

Decimate / VFR / Avs ]

Saves the respective override file.

Copy frame to clipboard

Screenshot of the current frame.

Show text

Show's the pattern, frame metrics, and section information on the main window.

Show Frozen

Shows the frame replacing the undesired frame when the main window is on a frozen frame.

Playback Speed

Allows you to change the speed of playback. Default speed is 50fps.

NoDecimate to Sections

A section is created as you set an area to Nodecimate. This is done in all project settings but is most needed when working in project type 3 to keep syncing.

Set Pattern

This will change the built in default pattern. Occasionally there will be an instance where a dvd does not follow the cccnn pattern, rather it follows some other pattern. This is where that can be changed. For the most part this is usually not touched.

Switching:

P/C/N | When switch is pressed, the encoder may select from previous, current, or next.
C/N | When switch is pressed, the encoder may select from current or next.
C/N | When switch is pressed, the encoder may select from prevous or current

Recalculate Matches Menu

Warning all commands in this section can not be undone.

Same As Log

Resets all matches

Guide=0, Post=0

Recalculates the matches based on those settings.

Match by VMetric

Matches using the vmetric instead of the mmetric which is what decomb uses. It's mostly there for extreme source experimentation and historical reasons. decomb's metrics can be computed for TFM optionally, in YMC, when creating the yap file.

Only C/N With Vthresh Interlacing considered

First it chooses matches using guide=0, post=0, then if any match is above the specified vthresh you selected in the tools menu, it checks the other matches in n,c,p order and switches if any is better and if that fails marks the frame for postprocessing.

Combined V and M Metric

(M metric + V metric * Const) gives the matching metric then determines the matches from there. Not used other than for experimentation

Clear Decimated /

Post processed

All manually set decimated / postprocessed frames are cleared.

Recalculate Postprocessed

Set's all frames above threshold to being postprocessed and the rest not post processed. The threshold is determined by the Vmetric.

Decimation by pattern

Looks for ccnnc patterns and marks the right frame in the cycle for decimation. Even if set pattern is used, it will look for ccnnc patterns. This can reduce/increase/completely mess up jerking at scene changes.

Pattern Guidance

Matches according to a set pattern.

C matches to VFR

Sets the matching within nodecimate regions to all c's.

Additional Menu

Found by clicking upon additional in the right click menu.

Cropping and Resizing

A window that helps determine the best crop settings.

Bitrate Calculator

Calculates the amount of bits that is needed to encode a file to a perfect size (Outdated)

Show Log Window

Brings up the log window

Scene Change Freezeframe

Adds a freeze-frame around every sections with a set size. Only applies when the thresholds are met.

Scene Change Freezeframe

(Without Thresholds)

Always places freeze-frames whenever a section of a specified length is found.

Save Postprocessing Override

Saves the feildhints override file.


Display Information

Display Information

Upper part of the Main Window

Within the main window there's a load of information being presented at the top. This page will try and clear up some of the discrepancies that might come along with the Gui.

The display depends on the setting chosen. The above picture has Show: Freeze-Frames, Pattern, Metrics, Frame Number, and Section Info.

Frame | This is the frame number before decimation.
MMetric | Used for the initial matching in the decomb filter. This metric is also present when using TFM+TelecideMetrics, or TFM alone. The difference being, TFM uses the mic metrics, while TFM+TelecideMetrics. uses decomb's metric gathering engine.
DMetric | The lowest DMetric among the frames in one cycle is the one chosen to get decimated. Not present with IT.
VMetric | The higher the VMetric the higher the chances are that it's an interlaced frame. Not present with IT.
The above 3 metrics are actually a part of the decomb filter. TFM+TelecideMetrics uses TFM but with decomb's metric gathering engine. Now, TFM alone will gather metrics as long as TFM is newer than 0.9.9.10.3. When using TFM the metrics shown have an impact on the way matches are chosen. IT doesn't compute any metrics.
Pattern | The mix of nncccnncccnncccn letters are just an indication of the current pattern of field pairings.
 | C - Current Frame
 | N - Next Frame
 | P - Previous Frame
Manual Decimation | The letters with strike through them indicates that this frame is to be decimated. For example: (Looking above) Frame 20480 is not to be decimated, but 20482 is to be) This only appears in projects 1 and greater.
Preset Information | Default; The word default is the title of the active preset that is acting upon the section. Default does not necessarily have to be there it just happens to be the preset in use on that section. If "Sangnom-A" was the preset in use, then replace the word Default by Default with Sangnom-A and it would look right.
Section Information | Start: [Frame Number]; End: [Frame Number] This part of the line indicates where the section begins and ends.

Status Bar

Frame | This is the frame number before decimation.
Decimated Frame | This is the frame number after decimation.
Time | Displays the time of the position the encoder is at in the video.
 | When using type three projects, once the user starts deleting frames, the time will not be accurate anymore.


Main Buttons

Main Buttons

This is available with the project type set to 1, 3, 4.

Buttons

Close

Closes the file. This will bring up a window asking to save the file.

Try Pattern

Compares the current pattern to the set pattern. Decimate shows up where the frame decimated should appear in the pattern. Please click on Try Pattern for more information.

Reset

The current frame/range is reset to the original match. Or in combination with Ctrl key the entire section is reset to their original matches. This can be used with a range

Tools

Brings up the tools menu.

Range Start

When pressed once it's begins a range. Traverse a number of frames in either direction from the starting frame then end the range by pressing the command you'd like applied to the whole range. This will apply the command over the entire range of frames. Example: Range start on frame 30. On frame 33, press freezeframe. Now, find the frame you'd like to replace frames 30,31,32, and 33. Press freezeframe again.

Decimate

This button overrides the chosen frame to be decimated. If decimate was chosen when the project created dmetrics were calculated. The lowest dmetric in an interval of (n) frames (n is the "decimate interval" number set in the project settings) gets removed. If that frame is deemed wrong by the encoder you can override that by pressing the decimate button on the correct frame. This option can be used with a range. In that case it marks the first frame in the range as decimate and subsequently marks the same location in every cycle as decimate until the range ends. Note: You may only decimate 1 frame per cycle. If you want to remove a frame, you need to change the project type to 3.

PostProcess

This applies the post process to the frame that was specified in the tools --> Avs Generation. This can be used with a range. Press start range and end the range by pressing post process. PostProcess may use 3rd party plugins if so desired. Check here for where to get them.

Play

Plays the file up until the Vmetric exceeds the threshold set in the Tools --> Find.

Next V

Jump to the next (or previous by right clicking) frame with a Vmetric matching the one specified in the V Search window. ( This can be located by pressing Tools --> Find)

Auto Switch

Switches the match of the current frame to the one used n (one cycle before) frames before unless the Vmetric of that match is higher that the one specified in the "V Search" window (found on the Tools --> Find tab). When that happens it also becomes disabled. How far back it checks can be changed in the project settings. The last frame can no longer be set to N with b/auto switch.

Save

Saves the project file. Optionally it can save all of the other overrides. This is only if it's selected in the settings.

Switch

Switches the current frames field match between Next match, Current match, and Previous match or just c/n (current / next) if you've checked "switch c/n only". That option is found by right clicking the menu and selecting Recalculate Matches ---> Only C/N With Vthresh interlacing considered. The c/n only option is intended to be used with relatively nice sources.

Preview

Apply all changes, and settings to the current frame and see the effect. Depending on the filters applied this can be one frame off or can take time to come up. (Note: this is frame by frame preview, it will not play the file)

Settings

Brings up the project settings window.

Section Start

Starts a section. Sections can be found under Tools ---> Sections. When you press sections start, a section is created at that frame. To end a section, press section start again one frame after the last frame you'd like to include in the previous section. There's no section end button. Note: When pressing section start, the frame that you currently are at is the first frame of the section.

No Decimate

Sets the current block of (n), the decimate interval is set in the settings, frames to not be decimated. This is usually applied on areas that are 30 fps, and is used to create VFR encodes. Note this button has more than one meaning for type 3 projects.

Freeze Frame

Freezes the current frame, and then allows the encoder to choose another frame to replace it. FreezeFrames are stored in the Tools --> Ranges tab.

Goto

  • If you left click goto, it asks you what frame you'd like to jump to.

  • If you left click goto, and enter "100d", it'll jump to the frame that will be 100 after decimation.

  • If you right click the button, you'll get the option to jump to time.

Next Section

Jumps to the next section ...

B Switch -

"Dumb Auto Switch" - Never stops until you press the button again. Also copies freezeframes with some restrictions, and optionally decimated frames too, unless 0 is pressed. Triggers on the first frame to freeze in the range.


Initial Screen

This is the Initial screen. In front of us, there are two buttons presented, the Open and the Settings button.

Open -

Yatta has the ability of opening many video types as well it's own yap files. For full functionality a yatta project file *.yap file should be opened. This can be achieved by first creating a project file through ymc.exe which should be in the same directory as Yatta.

If you're editing video that's been previously encoded open the video file, then save the project file. Return and open the yap file. For video predecimated, project type 0 is recommended. Read settings for more information.

Settings -

This menu is where the basic properties for Yatta are stored. The project settings are also included here.

If you're not able to see this screen or are having problems please look at the troubleshooting section.


Incorrect Metrics

Incorrect Metrics.

Specifically speaking if YMC is reporting all N's, and all of the metrics are 0, check to see if the user account in which you are working in has administrative privileges.

Not having Administrative privileges tends to result in some YMC metric errors.


... Has No Argument In ...

Filter x has no argument ...

Filter x does not have function ...

x does not have ...

This is most commonly caused by not having the most current filter installed on your system. As yatta is updated, you must keep current with your filters.

If that is not the case see here


TFM \ Telecide Errors

Invalid input to TFM. Input is most likely RGB.
Follow up Error: Access Violation.

Failed to invoke "TFM"

Script Error: The named argument "slow" to TFM has the wrong type.

Invalid input to Telecide. Input is most likely RGB.

Currently only certain versions of Triticals TFM and Decomb will work correctly.

Use:

Suggested version numbers in Installation.

Not having the correct version may bring up odd errors.


External Exception Error

Upon using LMFlicker / hqdn3d / Or any other filter I get a ExternalException Error.

Your version of Yatta is too old. Please update to 6-107+

I'm getting an ExternalException on startup.

Your version of Yatta is too old. Please update to 6-107+.

Also try cleaning out your autoloading plugin directory.


Missing Filter

Yatta does not load the filter I need when I try to use a function.

Function seems to be missing...

Yatta uses something like a lookup table to find out what functions go to what filters. Generally speaking any function\filter that's not already loaded by avisynth will need to be loaded by yatta itself. It can not be stressed how much filters shouldn't be all autoloaded. Therefore, if a function is used that doesn't already have a loadplugin line during the avs an error will occur. To check if this is the case look at your filterlist.txt.

leakkernelbob

leakkerneldeint.dll

That's an excerpt from filterlist.txt. This essentially states: The function leakkernelbob can be found in leakkerneldeint.dll. Load leakkerneldeint.dll when leakkernelbob() is used. So, if you're trying to use something that's no included for example BlindPP, which is part of the mpeg2dec3.dll, you must manually add that to filterlist.txt yourself. So at the end add:

BlindPP

mpeg2dec3.dll


Missing Metrics - Using TIVTC

When using TIVTC the Vmetric is missing.

The Ideology of a 'vmetric' metric is essentially a part of decomb. Therefore without the added telecide metric gathering that's done in Yatta v108+, vmetrics should be a constant 0. In YMC please use: TFM + Telecide option rather than TFM alone.

For projects that have been created prior to 109+, you can add the metrics manually via any text editor under [METRICS] which should appear after presets.


Missing VB runtime files

Missing VB runtime files

Yatta does not use any Visual Basic runtime files. It may be that a plugin for avisynth may need them though. If you find yourself unable to find them problem, or the files necessary to use that plug in, remove each plugin one by one from the plug in folder until you find the problem.

Remember to also remove the filters in the Avisynth plugins folder.


Missing Video Source

Missing Video File

Missing Video File

Are you getting a box that looks like this, and asks to select the video?

This is usually the case when the yap file doesn't have the correct filename of the video in the project name. When making a yap file usually there's a pair of files in a directory:

bleh.d2v -- Video

bleh.d2v.yap -- Yatta Project.

The format for your filename should be likewise.

Try changing the name of your project file to adhere to this standard.


Yatta doesn't work with dust!

Troubleshooting

How do I use Dust!?

1. | You need to download and place loadpluginex into your plugins directory. (Avisynth 2.5 Directions)
2. | Place Dust into your plugins directory.
3. | Do not forget to convert the video to yuy2/rgb before invoking dust. Giving it yv12 produces odd crashes.
4. | Mod 16 width and height required or the edges of your video might become pink.
5. | Note that you can't use more than one filter from dust once without getting unexpected behavior.
6. | Dust filters replace the last frame with the one before.
7. | Not being able to load dust this way most likely means that you haven't got msvcp71.dll or msvcr71.dll which are required by loadplugin ex.

Example:

Code:

loadplugin("loadpluginex.dll")
loadplugin("dustv5.dll")
somesource()
converttoyuy2()
pixiedust(limit=5).trim(0,framecount-2)+trim(framecount-1,framecount-1)


Yatta doesn't start, crashes, ...

Yatta crashes when opening it, freezes for a while, doesn't load, asks for odd dlls... etc

1.

Clear out your avisynth plugins directory.

This filter, autoloading, directory that tends to cause problems when many filters or conflicting filters are loaded. When running Yatta the user is given the option to create his own plugin directory. It's highly advised to place plugins in there, and only load the ones you need.

Did that solve your problem? If so, place filters you *need autoloaded* back in the directory one by one. When you find a combination that works, stick with it.

2.

Reinstall Avisynth and check for an update of Yatta.

3.

Place a request for help thread in the forum.


Change Colorspace

Example Assumptions:

Frame # 15254 Is the section we want the color space changed in.

Sangnom is the filter used.

Sangnom.dll is present, and all setup has been already been completed.

The colorspace is then returned.

First we must create the preset.

Update the preset. Notice the color space change, then return? The entire video must be one color space. This doesn't mean that an encoder is not allowed to change color space and come back to the same one that other sections are using.

Apply to section and continue.


Load An Unrecognised Filter

Load an unrecognised filter during execution.

Example Assumptions:

You don't want to edit the filterlist.

First create a preset called Filters (Named this way for quick recognition).

Place LoadPlugin("<plugin location>") statements in the preset. Like so:

Then change the "Assign To" pull down to pre telecide. Hit "Assign To" now.

On the Avs Generation tab:

This should be regarded as a temporary solution. When hitting preview it should load.


Only Output Starting from x, and ending at y.

Example Assumptions:

Video loads in yatta.

Open up the settings window:

Choose a start frame, and then an end frame.

Set it and close the settings window.


Set a global preset.

Example Assumptions:

Preset will be set as Post Decimate.

Sangnom is the filter used.

Sangnom.dll is present, and all setup has been already been completed.

First we must create the preset.

Create the preset, name it accordingly, then change the "Assign to" to Post Decimate.

Hit "Assign to".

Notice the filter is now being applied globally post decimate.


Use Yatta with an encoded raw

Use yatta with a raw

Example Assumptions:

Preset will be set as Post Decimate.

Sangnom is the filter used.

Sangnom.dll is present, and all setup has been already been completed.

On the main screen before a project is opened...

Press the settings button.

Change project to type 0.

Proceed to open your file now.


Introduction

Introduction v_6-117_01

Current Version: 117.

Please note that current versions of Yatta\YMC require specific versions of some plugins. Please read the installation notes provided below.

Version 117 contains many bug fixes. It's suggested that this version is to be used.

Installation

  1. Download Everything Here - Omitting what's in the beta folder.

  2. YMC requires TIVTC (at least) v0.9.11.0 and Decomb v5.2.2. Both of these can be found in the additional directory. Be sure to use the correct versions.

  3. Download and Install Avisynth 2.5+.

  4. Extract Yatta and any updated Yatta executables into a desired directory.

  5. It's best to extract Decomb, mpeg2dec3, TDeint+TIVTC, and IT into another folder. This will be known as your "plugins" folder. This folder shouldn't be the plugins folder in your avisynth directory.

  6. Download and Install optional component SCLavc. Common Errors: here.

  7. Place a copy of mpeg2dec3 in the autoloading plugin directory of Avisynth as well. This folder is located inside the root folder of avisynth's installation directory.

  8. Run YMC. When yatta asks you for your "plugins" directory, point it to the folder containing the extracted materials above, not the plugins folder in the avisynth root directory. Yatta will ask you for you to point it to a plugins directory as well. This is the same directory.

  9. Beginners: Read the Introduction Below, Encoding Guide, and Beginning Encoders, and the topics in the Troubleshooting book provided on the left.

  10. Have Fun

Linux users, Avisynth does not necessarily need to be v.2.5.5+ anymore.

See: here. (Tested with 2.5.2)

Yatta is an advanced program used specifically for editing video before it is encoded. It has built in features that aid encoders, and help tweak source video such that higher quality encodes can be done easier. This manual is updated often. Please check to see if the version of your program is in line with the guide. The third number is the release number.

Without any belittlement, Yatta has a steep learning curve, and is very lightly documented. As an encoder, most of your time may be spent tweaking fine details and may become frustrating when problems come up. The IRC Channel #darkhold on Irc.chatsociety.net is occupied by many very knowledgeable encoders. If a situations where a question arises without an answer, that's where to turn. Only subject's relating to encoding please.

Yatta is also a front end for Avisynth. With this powerful frame server the capabilities of an encoder are amplified. If you find yourself not able to open Yatta please look at the troubleshooting section of this help file. A good basis for starting is to learn how to script in Avisynth first. As a front end, this knowledge can solve many of your issues without even needed to look at the manual.

Please remember this a manual to the program. Not a how to encode step by step. The below is set to get you started but, for the most part learning will deal with an immense amount of trial and error.

Beginning Encoders.

This manual has many options that depend on the results of the type of YMC project that was chosen to create the yap file. Please look for the options that correspond only to the type of project that was created. Warnings are generally denoted by this color and/or red text.


Contact Information

Contact Information

1. #Darkhold on the Irc sever irc.chatsociety.net.

2. http://forum.zhentarim.net/viewforum.php?f=3

Where to go with unanswered questions or unforeseen problems...

If you're having a problem that you think is directly related to Yatta/Ymc then this is the place to be. Yatta/Ymc is being actively being developed, so new versions are being released frequently. It's advised that you download the newest version and try to see if your problem is solved. This also may lead to the help documentation being out of date. If there's an undocumented feature that you need to use please inquire below.

The developer, along with many highly skilled encoders reside in the room #Darkhold on the Irc sever irc.chatsociety.net. If there are unanswered questions about encoding please direct them to the users in that room.

Please be advised that unintelligent questions, or requests to encode anything for you, will not be answered and may result in a ban.

Help Document Problems, Inquiries, and Suggestions

If you have questions or corrections specifically concerning the just the help document please direct them to the user nmap.

Note: Yatta is developed, Maintained and © Fredrik Mellbin. All other references, are copyright their respective owners.


Beginning Encoders

As a beginning encoder you may be looking at this help file with an immense amount of confusion. This confusion, with time and patience, will disappear; it will take some tenacity at practicing and learning how to encode well. This is in no way supposed to replace the encoding guide. This is merely a supplement and only scratches the surface.

Yatta may seem rather intimidating at first, but don't worry! With some practice you can master it's interface and easily grow to like it for it's time saving functions.

The following steps compose a shell, that generally will guide you through preparing video to be encoded. These are short, summaries of what needs to be done.

  1. Read through this entire manual. If you find it rather complicated it may be better to do some research as to what terms mean. It may also help to use the Avisynth web site as a starting point. This will greatly increase your ability to conform to the learning curve.

1

  • If you have progressive video, you don't want to telecide or decimate.

  • Sclavc locates scene changes. This must be done if you haven't done a first pass with Xvid.

  • The correct order is Telecide, Sclavc, Decimate, Crop

  • Beginners: Do not change the output filename, or the IVTC type.

Although YMC does not need admin privileges to run, it is necessary when trying to obtain certain metrics that are referenced below.

2

In YMC if you have chosen to use Telecide (which must be done if you're using NTSC material) you must set the settings correctly. Generally the defaults are ok, the thing to pay attention to is the order. Make sure you set the order correctly.

3

After you set YMC finds the metrics (done by hitting start), open yatta and open the newly created Yap file.

4.

Pattern Guidance.

5.

After completing 4, go to the tools --> find menu. Choose a somewhat low Vthresh(20) and place it in Value(V). Proceed to hit next, looking for interlaced frames that are improperly matched, or that you just missed. Try using different difference settings as some may be more effective than others. Freeze-Frame dirty repeated frames or where applicable or fix the interlaced frames accordingly. You can achieve that using the switch button. Note: Small mouth combs will generally not be detected.

6.

If working with the container AVI, this step does not apply.

If you plan on using VFR, or a container that supports VFR (MKV), then you can look for VFR sequences. These are generally all ccccccc matches. Using NoDecimate label the area not to be decimated. Don't forget to save the VFR Timcode file when done. (Right Click --> Save VFR)

7.

Scroll through the video looking for things that could be fixed. For example: a frame that is dirty. You can apply filters\plugins to the frame, or frames. (enclose them within a section -- This is done by going to the start frame and hitting new section, then going to the frame after the last frame you want the filter to act on and hitting new section again. ) In the tools --> sections window, choose the section you want the filter applied on and then choose the preset (containing the filter) you want to act on it. Note: You must create a preset holding the filter information and apply the preset to a section. You can not apply filters directly to frames without manually editing the avs.

8.

Tools --> Avs Generation. Choose Decimate.

9.

Finally, Right Click --> Save All Overrides.

10.

Open the *.AVS file you've just created in VDUB and follow the Encoding Guide on how to encode.

Generally speaking advanced encoders do not follow these steps to the bone, but rather see them as a guideline, or a conservative way to start. As a beginning encoder, it's best to start by following them, but you will find that situations vary heavily from encode to encode and following these steps will be futile. This guide does not cover the other IVTC routines, we can't ruin all the fun.


ChangeLog

v_6-117_01

  • Added:

    • Pattern Shifting

  • Updated:

    • Introduction

v_6-116_01

  • Added:

    • How Do I

      • Load An Unrecognized Filter

      • Only Output starting from x, and ending at y

      • Set a global preset

      • Use Yatta With an Encoded Raw

      • Change a Colorspace

    • Key Association

    • Custom Lists

    • TFM Error

  • Updated:

    • Global Settings

    • Project Settings

    • Display information

    • TFM

    • Right Click Menu

    • Type 0 Projects

    • Find Menu

  • Various Minor Layout Updates in:

    • Tools

    • TFM

    • Plugins

  • Removed

    • Hotkeys

    • Custom Functions

  • Relinked

    • Project Settings

    • Global Settings

v_6-112_04

  • Updated:

    • Pattern Guidance

v_6-112_03

  • Updated:

    • Layout

    • Fonts

    • Style Sheets

    • Try Pattern

    • HotKeys

  • Various Minor Layout Updates in:

    • Global Settings

v_6-112_02 - April 24 2005

  • Updated:

    • Field Order

  • Various Minor Layout Updates in:

    • Beginning Encoders

    • Main Buttons

    • Right Click Menu

    • Completed Yatta\Features\Sectioning

    • Completed YMC Conversion.

    • Completed Yatta Troubleshooting

    • Completed YMC Troubleshooting

  • Moved

    • Troubleshooting

  • Removed

    • Scenechange.dll from the visible list. If needed it's still searchable.

    • Errors html.

  • Various Minor Corrections in:

    • IT

    • TFM

    • Decomb: Telecide

    • HotKeys

v_6-112_01 - April 17 2005

  • Relinked

    • Project Settings

    • Global Settings

  • Updated:

    • YMC Initial Screen

  • Various Minor Layout Updates in:

    • YMC Initial Screen

    • Yatta Initial Screen

    • Sclavc Setup

    • Plugins

    • Yatta Crop Window

    • Bitrate Caculator

    • TrueVFR

  • Various Minor Corrections in:

    • Versions

v_6-112_00 - April 15 2005

  • Added:

    • Missing Filters

    • Incorrect Metrics

    • Versions

  • Updated:

    • Global Settings

    • Project Settings

    • YMC Initial Screen

    • HotKeys

    • Presets Tab

    • Right Click Menu

  • Added Warning in:

    • TrueVFR

    • Pattern Guidance

    • Display Information

    • Project Settings

  • Various Minor Corrections in:

    • Pattern Guidance

    • Introduction

    • Beginning Encoders

  • Minor Image Updates

    • Tools: Avs Generation

  • Started Implementing New Layout, Introduction, Version Page

v_6-109_01

  • Updated Errors, added new topics

  • Added Troubleshooting Page

  • Various Minor Corrections

  • Added ChangeLog

v_6-109_00

  • Nothing Logged Before Here


Scenechange.dll is missing

Scenechange.dll is missing.

Scenechange.dll is included in the sclavc package.

This is installed incorrectly on your system. Place this file in your plugins directory or in the yatta root directory.

From the readme:

SClavc is an Avisynth 2.5 plugin, intended to allow access to libavcodec's scene-change metrics. Note: It is separated into two dlls (SceneChange.dll and SceneChange-lavc.dll) because of compiler issues. libavcodec wants GCC, while Avisynth wants MSVC. Just make sure that SceneChange-lavc.dll is somewhere that can be found. Your avs plugin directory may not be such a location. In that case, add it your $PATH.

Older versions of Scenechange.dll required you to have msvcp71.dll and msvcr71.dll installed into the system32 directory of windows for this to work. If you are receiving this error please update scenechange.dll


Version

Avisynth Versions Lower than 2.5.5+

How to use Yatta with versions less than 2.5.5+. (Tested with 2.5.2)

This is generally intended for users using Linux

Add "OldAvisynth=1" to the [MAIN] and [YMC6] sections of the ini files to use.

If you don't let avisynth autoload mpeg2dec* you have to add mpeg2source/mpeg2dec3.dll to the end of filterlist.txt